package com.kingdee.eas.custom.erp;

import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.custom.erp.util.SynSalaryFromErpUtils;
import com.kingdee.eas.custom.uccif.utils.UpdateCostCenterUtils;


public class synSalryFromErpControllerBean extends AbstractsynSalryFromErpControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.custom.erp.synSalryFromErpControllerBean");
    
    @Override
    protected void _synSalaryDataToErp(Context ctx, String yearMonth) throws BOSException
    {    	
    	System.out.print("222");
    	String sqlCon = "";

    	try{
    		logger.info("into synSalryFromErpControllerBean method...");
    		SynSalaryFromErpUtils.synSalaryToErp(ctx,yearMonth);
    	}catch(Exception e){
    		logger.error("Å×Òì³££º"+e.getMessage());
    	}
        return;
    }
}